# Uses of Interface
org.pentaho.reporting.libraries.resourceloader.ResourceBundleData

Packages that use ResourceBundleData
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

## Uses of ResourceBundleData in org.pentaho.reporting.libraries.resourceloader

Methods in org.pentaho.reporting.libraries.resourceloader that return ResourceBundleData
Modifier and Type
Method
Description
`ResourceBundleData`
ResourceBundleData.`deriveData(ResourceKey key)`
`ResourceBundleData`
ResourceBundleLoader.`loadBundle(ResourceManager resourceManager, ResourceKey key)`
Tries to load the bundle.
`ResourceBundleData`
DefaultResourceManagerBackend.`loadResourceBundle(ResourceManager frontEnd, ResourceKey key)`
Tries to find the first resource-bundle-loader that would be able to process the key.
`ResourceBundleData`
ResourceManager.`loadResourceBundle(ResourceKey key)`
Tries to find the first resource-bundle-loader that would be able to process the key.
`ResourceBundleData`
ResourceManagerBackend.`loadResourceBundle(ResourceManager frontEnd, ResourceKey key)`

## Uses of ResourceBundleData in org.pentaho.reporting.libraries.resourceloader.cache

Classes in org.pentaho.reporting.libraries.resourceloader.cache that implement ResourceBundleData
Modifier and Type
Class
Description
`class`
`CachingResourceBundleData`
A very simple implementation which is suitable for smaller objects.
Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceBundleData
Modifier and Type
Method
Description
`static ResourceBundleData`
CachingResourceBundleData.`createCached(ResourceBundleData data)`
`ResourceBundleData`
CachingResourceBundleData.`deriveData(ResourceKey key)`
`ResourceBundleData`
CachingResourceBundleData.`getBackend()`
`ResourceBundleData`
DefaultResourceBundleDataCacheEntry.`getData()`
`ResourceBundleData`
ResourceBundleDataCacheEntry.`getData()`
`ResourceBundleData`
NullResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
`ResourceBundleData`
ResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
Stores the given data on the cache.
Methods in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type ResourceBundleData
Modifier and Type
Method
Description
`static ResourceBundleData`
CachingResourceBundleData.`createCached(ResourceBundleData data)`
`ResourceBundleData`
NullResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
`ResourceBundleData`
ResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
Stores the given data on the cache.
`void`
NullResourceBundleDataCache.`remove(ResourceBundleData data)`
`void`
ResourceBundleDataCache.`remove(ResourceBundleData data)`
Constructors in org.pentaho.reporting.libraries.resourceloader.cache with parameters of type ResourceBundleData
Modifier
Constructor
Description
``
`CachingResourceBundleData(ResourceBundleData data)`
``
`DefaultResourceBundleDataCacheEntry(ResourceBundleData data, ResourceManager manager)`

## Uses of ResourceBundleData in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that return ResourceBundleData
Modifier and Type
Method
Description
`ResourceBundleData`
EHResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache with parameters of type ResourceBundleData
Modifier and Type
Method
Description
`ResourceBundleData`
EHResourceBundleDataCache.`put(ResourceManager caller, ResourceBundleData data)`
`void`
EHResourceBundleDataCache.`remove(ResourceBundleData data)`